curl --request GET \
--url https://api.dev.endaoment.org/v1/orgs/{identifier}import requests
url = "https://api.dev.endaoment.org/v1/orgs/{identifier}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.endaoment.org/v1/orgs/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
],
"compliant": true,
"isCompliant": true,
"nonComplianceReasons": null,
"lifetimeContributionsUsdc": "1000000",
"usdcBalance": "2000000",
"financials": {
"form990FiscalYear": null,
"summary": {
"totalLiabilities": null,
"totalAssets": null,
"contributionsAll": null,
"totalExpenses": null,
"totalRevenue": null,
"netIncome": null
},
"expenses": {}
},
"socials": {
"twitter": null,
"facebook": null,
"linkedin": null,
"instagram": null
},
"staffNotes": null,
"paypalId": null,
"partnerId": null,
"donationsReceived": 42,
"grantsReceived": 7
}Get organization by EIN or id
Returns organization details for an EIN, with or without the hyphen, or an Endaoment organization id. No authentication is required.
Path Parameters
Response
Organization details
Unique identifier of the organization in Endaoment database.
"123e4567-e89b-12d3-a456-426614174000"
IRS Employer Identification Number (EIN) without hyphen
"530196605"
Name of the organization
"American Red Cross"
Description or mission statement of the organization
"Providing disaster relief and emergency assistance"
Physical address of the organization
Show child attributes
Show child attributes
Website URL of the organization
"https://www.redcross.org"
URL to the organization logo
"https://example.com/logo.png"
NTEE (National Taxonomy of Exempt Entities) Code
"E91"
Human-readable description of the NTEE code
"Nursing, Convalescent (Geriatric and Nursing)"
Priority index for featured organizations (higher = shows first)
x >= 0100
UTC timestamp when the organization was claimed
"2024-03-20T10:30:00Z"
Type of organization claim
WalletClaim, WireClaim "DIRECT"
Whether the organization has been claimed
true
Smart contract address on the default chain (deprecated)
"0x1234567890123456789012345678901234567890"
List of smart contract deployments across different chains. Includes only deployed orgs.
Show child attributes
Show child attributes
Deprecated compliance flag. Use isCompliant instead.
true
Whether the organization is currently compliant.
true
Reasons why the organization is non-compliant, when applicable.
null
Lifetime contributions to this organization in USDC micro-units (1000000 = 1 USD).
"1000000"
Current USDC balance of the organization contract in micro-units (1000000 = 1 USD).
"2000000"
Financial information for the organization.
Show child attributes
Show child attributes
Social links for the organization.
Show child attributes
Show child attributes
Staff notes for this organization. Currently null for public organizations.
null
PayPal ID of the organization, when available.
null
Partner that onboarded the organization, when applicable.
tgb, gg null
Number of inbound donations made to the organization.
42
Number of grants made to this organization.
7
Was this page helpful?